// KDat - a tar-based DAT archiver
// Copyright (C) 1998  Sean Vyain, svyain@mail.tds.net
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef _Archive_h_
#define _Archive_h_

#include <qlist.h>
#include <qstring.h>

#include "File.h"

class Archive {
    int         _startBlock;
    int         _endBlock;
    int         _timeStamp;
    QString     _name;
    QList<File> _files;
    QList<File> _children;
public:
    Archive( const char* name, int startBlock, int timeStamp );
    ~Archive();

    int timeStamp() { return _timeStamp; }
    int startBlock() { return _startBlock; }
    int endBlock() { return _endBlock; }
    QString name() { return _name; }
    QList<File>& files() { return _files; }
    QList<File>& children() { return _children; }
    void setEndBlock( int endBlock ) { _endBlock = endBlock; }
    void setName( const char* name ) { _name = name; }
    void addFile( File* file ) { _files.append( file ); }
};

#endif
