// KDat - a tar-based DAT archiver
// Copyright (C) 1998  Sean Vyain, svyain@mail.tds.net
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef _BackupOptDlg_h_
#define _BackupOptDlg_h_

#include <qdialog.h>

class QCheckBox;
class QGroupBox;
class QLabel;
class QLineEdit;

class BackupOptDlg : public QDialog {
    Q_OBJECT
    QLineEdit* _archiveName;
    QLineEdit* _sourceFile;
    QLineEdit* _workingDir;
    QCheckBox* _oneFilesystem;
    QCheckBox* _listedIncremental;
    QGroupBox* _group;
    QLabel*    _snapshotLabel;
    QLineEdit* _snapshotFile;
    QCheckBox* _removeSnapshot;
private slots:
    void incrementalToggled( bool set );
public:
    BackupOptDlg( const char* archiveName, const char* file, const char* workingDir, QWidget* parent=0, const char* name=0 );
    ~BackupOptDlg();

    QString archiveName();
    QString file();
    QString workingDir();
    bool oneFilesystem();
    bool incremental();
    QString snapshotFile();
    bool removeSnapshot();
};

#endif
