// KDat - a tar-based DAT archiver
// Copyright (C) 1998  Sean Vyain, svyain@mail.tds.net
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef _Node_h_
#define _Node_h_

#include <ktreelist.h>

class File;

class Node : public KTreeListItem {
    int _type;
    union {
        Archive* _archive;
        File*    _file;
    } _data;
public:
    enum { Dir, Fil, Arc };
    Node( int type, const char* text = 0, const QPixmap* pixmap = 0 )
            : KTreeListItem( text, pixmap ), _type( type ) { _data._archive = 0; }
    Node( int type, const char* text = 0, const QPixmap* pixmap = 0, Archive* archive )
            : KTreeListItem( text, pixmap ), _type( type ) { _data._archive = archive; }
    Node( int type, const char* text = 0, const QPixmap* pixmap = 0, File* file )
            : KTreeListItem( text, pixmap ), _type( type ) { _data._file = file; }
    int type() { return _type; }
    Archive* archive() { return _data._archive; }
    File*    file() { return _data._file; }
};

#endif
