// KDat - a tar-based DAT archiver
// Copyright (C) 1998  Sean Vyain, svyain@mail.tds.net
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef _Options_h_
#define _Options_h_

#include <qobject.h>

class KConfig;

class Options : public QObject {
    Q_OBJECT
    KConfig* _config;

    static Options* _instance;

    Options();
public:
    static Options* instance();
    
    void sync();

    int           getDefaultTapeSize();
    int           getTapeBlockSize();
    const QString getTapeDevice();
    const QString getTarCommand();

    void setDefaultTapeSize( int kbytes );
    void setTapeBlockSize( int bytes );
    void setTapeDevice( const char* str );
    void setTarCommand( const char* str );
signals:
    void sigDefaultTapeSize();
    void sigTapeBlockSize();
    void sigTapeDevice();
    void sigTarCommand();
};

#endif
