// KDat - a tar-based DAT archiver
// Copyright (C) 1998  Sean Vyain, svyain@mail.tds.net
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef _RestoreDlg_h_
#define _RestoreDlg_h_

#include <qdialog.h>
#include <qlist.h>

#include "Range.h"

class QLabel;
class QPushButton;

class KProcess;

class Logger;

class RestoreDlg : public QDialog {
    Q_OBJECT
    KProcess*           _proc;
    QString             _workingDir;
    int                 _startBlock;
    const QList<Range>& _ranges;
    QString             _leftover;
    QLabel*             _elapsedTime;
    QLabel*             _timeRemaining;
    QLabel*             _kbytesRead;
    QLabel*             _transferRate;
    QLabel*             _files;
    Logger*             _log;
    QPushButton*        _ok;
    QPushButton*        _save;
    QPushButton*        _abort;
    int                 _startTime;
    float               _totalKBytes;
    int                 _fileCount;
    int                 _archiveSize;
    bool                _wroteStdin;
    bool                _aborted;
    
    QString toString( uint bytes );
private slots:
    void slotProcessExited( KProcess* proc );
    void slotStdout( KProcess* proc, char* buf, int len );
    void slotWroteStdin( KProcess* proc );
    void slotOK();
    void slotAbort();
protected:
    void show();
    void timerEvent( QTimerEvent* e );
public:
    RestoreDlg( const char* workingDir, int startBlock, const QList<Range>& ranges,
                QWidget* parent = 0, const char* name = 0 );
    ~RestoreDlg();
};

#endif
