// KDat - a tar-based DAT archiver
// Copyright (C) 1998  Sean Vyain, svyain@mail.tds.net
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include <qlabel.h>
#include <qlayout.h>
#include <qlined.h>
#include <qpushbt.h>

#include <kseparator.h>

#include "RestoreOptDlg.h"

RestoreOptDlg::RestoreOptDlg( const char* def, QWidget* parent, const char* name )
        : QDialog( parent, name, TRUE )
{
    setIconText( "KDat: Restore To" );
    setCaption( "KDat: Restore To" );

    QLabel* label = new QLabel( "Restore to directory:", this );
    label->setFixedSize( label->sizeHint().width(), label->sizeHint().height() );

    _entry = new QLineEdit( this );
    _entry->setText( def );
    _entry->setFixedHeight( _entry->sizeHint().height() );

    QPushButton* ok     = new QPushButton( "Ok", this );
    ok->setFixedSize( 80, ok->sizeHint().height() );
    QPushButton* cancel = new QPushButton( "Cancel", this );
    cancel->setFixedSize( 80, cancel->sizeHint().height() );

    QVBoxLayout* l1 = new QVBoxLayout( this, 4 );
    QHBoxLayout* l2 = new QHBoxLayout( 4 );
    QHBoxLayout* l3 = new QHBoxLayout( 4 );

    l1->addLayout( l2, 0 );
    l1->addStretch( 1 );

    KSeparator* sep = new KSeparator( this );
    l1->addWidget( sep, 0 );
    
    l1->addLayout( l3, 0 );

    l2->addWidget( label, 0 );
    l2->addWidget( _entry, 1 );

    l3->addStretch( 1 );
    l3->addWidget( ok, 0 );
    l3->addWidget( cancel, 0 );

    resize( 400, 80 );

    _entry->setFocus();
    _entry->selectAll();

    connect( _entry, SIGNAL( returnPressed() ), this, SLOT( okClicked() ) );
    connect( ok    , SIGNAL( clicked() )      , this, SLOT( okClicked() ) );
    connect( cancel, SIGNAL( clicked() )      , this, SLOT( reject() ) );
}

RestoreOptDlg::~RestoreOptDlg()
{
}

void RestoreOptDlg::okClicked()
{
    _workingDir = _entry->text();
    accept();
}
