// KDat - a tar-based DAT archiver
// Copyright (C) 1998  Sean Vyain, svyain@mail.tds.net
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef _Tape_h_
#define _Tape_h_

#include <qlist.h>
#include <qobject.h>
#include <qstring.h>

#include "Archive.h"

class Tape : public QObject {
    Q_OBJECT
    QString        _tapeID;
    int            _createTime;
    int            _modTime;
    QString        _tapeName;
    int            _tapeSize;
    QList<Archive> _archives;
public:
    Tape( const char* tapeID, bool readIndex=TRUE );
    ~Tape();

    static void formatTape( const char* tapeName, int tapeSize );
    void writeIndex();

    QString tapeName() { return _tapeName; }
    QString tapeID() { return _tapeID; }
    int     createTime() { return _createTime; }
    int     modTime() { return _modTime; }
    int     tapeSize() { return _tapeSize; }
    uint    numArchives() { return _archives.count(); }
    void    addArchive( Archive* archive ) { _archives.append( archive ); }
    void    setTapeName( const char* tapeName ) { _tapeName = tapeName; }
    void    setTapeSize( int kbytes ) { _tapeSize = kbytes; }
    QList<Archive>& archives() { return _archives; }
signals:
    void status( const char* msg );
};

#endif
