// KDat - a tar-based DAT archiver
// Copyright (C) 1998  Sean Vyain, svyain@mail.tds.net
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef _TapeDrive_h_
#define _TapeDrive_h_

#include <qobject.h>

class KDat;
class Tape;

class TapeDrive : public QObject {
    Q_OBJECT
    int   _fd;
    bool  _readOnly;
    Tape* _tape;

    static TapeDrive* _instance;

    void doErrnoDialog();

    TapeDrive();
public:
    static TapeDrive* instance();

    bool  isReadOnly();
    bool  isTapePresent();
    void  ejectTape();
    void  eraseTape();
    bool  rewind();
    Tape* readHeader();
    int   getBlock();
    bool  gotoBlock( int block );
    bool  nextFile( int count );
    bool  prevFile( int count );
    bool  nextRecord( int count );
    bool  prevRecord( int count );
    bool  endOfTape();
    void  open();
    void  close();
    int   read( void* buf, int len );
    int   write( void* buf, int len );
    bool  writeEOF();
    bool  seek( int block );
    bool  pastEOF();
    bool  unlock();
signals:
    void status( const char* msg );
};

#endif
