// KDat - a tar-based DAT archiver
// Copyright (C) 1998  Sean Vyain, svyain@mail.tds.net
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef _TapeInfoDlg_h_
#define _TapeInfoDlg_h_

#include <qdialog.h>

class QComboBox;
class QLineEdit;

class KTabListBox;

class Tape;

class TapeInfoDlg : public QDialog {
    Q_OBJECT
    Tape*        _tape;
    QLineEdit*   _tapeName;
    QLineEdit*   _tapeSize;
    QComboBox*   _tapeSizeUnits;
    KTabListBox* _archives;

    QString toString( uint kbytes );
private slots:
    void slotOK();
    void slotApply();
    void slotCancel();
    void slotArchiveInfo( int index, int column );
public:
    TapeInfoDlg( Tape* tape, QWidget* parent = 0, const char* name = 0 );
    ~TapeInfoDlg();
};

#endif
